import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';

part 'update_model.g.dart';

@JsonSerializable()
class UpdateModel extends Equatable {
  final String versionCode;
  final String versionName;
  final String modifyContent;

  factory UpdateModel.fromJson(Map<String, dynamic> json) =>
      _$UpdateModelFromJson(json);


  const UpdateModel({
    required this.versionCode,
    required this.versionName,
    required this.modifyContent,
  });

  @override
  List<Object?> get props => [
        versionCode,
        versionName,
        modifyContent,
      ];
}
